
/**业务镜像模块 mock */

import { mockGetBusinessImageListData } from './pools/businessImageData';
import { successMockApiProps } from './typing';
import { fetchCurrPageByList } from './utils/apiMock';
export default {
  // 业务镜像列表分页
  'POST /api/v1/business_image/getBusinessImageList': async (req: Request, res: Response) => {
    const { page, pageSize } = req.body;

    const resData: successMockApiProps = {
      ...fetchCurrPageByList({
        ...mockGetBusinessImageListData,
        data: { ...mockGetBusinessImageListData.data, page, pageSize: pageSize || 10 },
      }),
    };
    res.send(resData);
  },

  // 选择模型
  // 'POST /api/v1/model_version/getModelVersionFkSelect': async (req: Request, res: Response) => {
  //     const resData: successMockApiProps = {
  //       ...fetchMockSuccessFullByOther(mockGetModelVersionFkSelect),
  //     };
  //     res.send(resData);
  //   }
};
