/*
 * @Author: donghao donghao@supervision.ltd
 * @Date: 2024-01-24 16:05:16
 * @LastEditors: donghao donghao@supervision.ltd
 * @LastEditTime: 2024-01-24 16:18:18
 * @FilePath: \general-ai-platform-web\mock\pools\menuData.ts
 * @Description: 这是默认设置,请设置`customMade`, 打开koroFileHeader查看配置 进行设置: https://github.com/OBKoro1/koro1FileHeader/wiki/%E9%85%8D%E7%BD%AE
 */
/** 菜单目录信息 */
export const mockGetMenuData = {
  data: {
    routes: [
      {
        path: '/welcome',
        key: '',
        name: 'welcome',
        icon: 'HomeOutlined',
        access: '',
        component: 'Welcome',
        title: '首页',
        routes: [],
      },
      {
        path: '/resource',
        key: '',
        name: 'resource',
        icon: 'BlockOutlined',
        access: '',
        component: '',
        title: '资源管理',
        routes: [
          {
            path: '/resource/model-version-list',
            key: '19',
            name: 'model-version-list',
            icon: '',
            access: '',
            component: 'Resource/ModelVersionList',
            title: '模型版本',
            routes: [],
          },
          {
            path: '/resource/model-image-list',
            key: '18',
            name: 'model-image-list',
            icon: '',
            access: '',
            component: 'Resource/ModelImageList',
            title: '模型镜像',
            routes: [],
          },
          {
            path: '/resource/model-category-list',
            key: '20',
            name: 'model-category-list',
            icon: '',
            access: '',
            component: 'Resource/ModelCategoryList',
            title: '模型类别',
            routes: [],
          },
          {
            path: '/resource/algorithm-model-list',
            key: '17',
            name: 'algorithm-model-list',
            icon: '',
            access: '',
            component: 'Resource/AlgorithmModelList',
            title: '模型列表',
            routes: [],
          },
          {
            path: '/resource/business-image-list',
            key: '21',
            name: 'business-image-list',
            icon: '',
            access: '',
            component: 'Resource/BusinessImageList',
            title: '业务镜像',
            routes: [],
          },
        ],
      },
      {
        path: '/device',
        key: '',
        name: 'device',
        icon: 'DesktopOutlined',
        access: '',
        component: '',
        title: '设备管理',
        routes: [
          {
            path: '/device/device-category-list',
            key: '13',
            name: 'device-category-list',
            icon: '',
            access: '',
            component: 'Device/DeviceCategoryList',
            title: '设备类别',
            routes: [],
          },
          {
            path: '/device/device-group-list',
            key: '14',
            name: 'device-group-list',
            icon: '',
            access: '',
            component: 'Device/DeviceGroupList',
            title: '设备组',
            routes: [],
          },
          {
            path: '/device/device-list',
            key: '12',
            name: 'device-list',
            icon: '',
            access: '',
            component: 'Device/DeviceList',
            title: '设备列表',
            routes: [],
          },
        ],
      },
      {
        path: '/project',
        key: '',
        name: 'project',
        icon: 'DatabaseOutlined',
        access: '',
        component: '',
        title: '项目管理',
        routes: [
          {
            path: '/project/project-list',
            key: '24',
            name: 'project-list',
            icon: '',
            access: '',
            component: 'Project/ProjectList',
            title: '项目列表',
            routes: [],
          },
        ],
      },
      {
        path: '/algorithm_setting',
        key: '',
        name: 'algorithm_setting',
        icon: 'ExperimentOutlined',
        access: '',
        component: '',
        title: '项目部署',
        routes: [],
      },
      {
        path: '/analysis',
        key: '',
        name: 'analysis',
        icon: 'DotChartOutlined',
        access: '',
        component: '',
        title: '智能分析',
        routes: [
          {
            path: '/analysis/action-detection-list',
            key: '10',
            name: 'action-detection-list',
            icon: '',
            access: '',
            component: 'Analysis/ActionDetectionList',
            title: '行为异常',
            routes: [],
          },
        ],
      },
      {
        path: '/system',
        key: '',
        name: 'system',
        icon: 'SettingOutlined',
        access: '',
        component: '',
        title: '系统管理',
        routes: [
          {
            path: '/system/api-list',
            key: '2',
            name: 'api-list',
            icon: '',
            access: '',
            component: 'System/ApiList',
            title: '接口列表',
            routes: [],
          },
          {
            path: '/system/menu-list',
            key: '3',
            name: 'menu-list',
            icon: '',
            access: '',
            component: 'System/MenuList',
            title: '菜单列表',
            routes: [],
          },
          {
            path: '/system/role-list',
            key: '4',
            name: 'role-list',
            icon: '',
            access: '',
            component: 'System/RoleList',
            title: '角色列表',
            routes: [],
          },
          {
            path: '/system/user-list',
            key: '5',
            name: 'user-list',
            icon: '',
            access: '',
            component: 'System/UserList',
            title: '用户列表',
            routes: [],
          },
          {
            path: '/system/post-list',
            key: '6',
            name: 'post-list',
            icon: '',
            access: '',
            component: 'System/PostList',
            title: '岗位列表',
            routes: [],
          },
          {
            path: '/system/department-list',
            key: '7',
            name: 'department-list',
            icon: '',
            access: '',
            component: 'System/DepartmentList',
            title: '部门列表',
            routes: [],
          },
          {
            path: '/system/operation_record-list',
            key: '8',
            name: 'operation_record-list',
            icon: '',
            access: '',
            component: 'System/OperationRecordList',
            title: '操作日志',
            routes: [],
          },
        ],
      },
      {
        path: '/task',
        key: '',
        name: 'task',
        icon: 'CalendarOutlined',
        access: '',
        component: '',
        title: '任务管理',
        routes: [],
      },
      {
        path: '/alarm',
        key: '',
        name: 'alarm',
        icon: 'WarningOutlined',
        access: '',
        component: '',
        title: '告警管理',
        routes: [],
      },
      {
        path: 'compute_power',
        key: '',
        name: 'compute_power',
        icon: 'ThunderboltOutlined',
        access: '',
        component: 'Hidden',
        title: '算力配置',
        routes: [],
      },
    //   {
    //     path: 'http://192.168.10.96:5601/app/r/s/uDpRg',
    //     key: '',
    //     name: 'logging',
    //     icon: 'BugOutlined',
    //     access: '',
    //     component: 'Hidden',
    //     title: '日志管理',
    //     routes: [],
    //   },
    //   {
    //     path: 'http://localhost:9003/#/bankScreen',
    //     key: '',
    //     name: 'data_screen',
    //     icon: 'AreaChartOutlined',
    //     access: '',
    //     component: 'Hidden',
    //     title: '数据大屏',
    //     routes: [],
    //   },
    ],
  }
};
