/*
 * @Author: donghao donghao@supervision.ltd
 * @Date: 2024-01-25 14:07:33
 * @LastEditors: donghao donghao@supervision.ltd
 * @LastEditTime: 2024-01-25 17:43:22
 * @FilePath: \general-ai-platform-web\mock\project.ts
 * @Description: 这是默认设置,请设置`customMade`, 打开koroFileHeader查看配置 进行设置: https://github.com/OBKoro1/koro1FileHeader/wiki/%E9%85%8D%E7%BD%AE
 */
/**项目模块 mock */

import { mockGetProjectFkSelectData, mockGetProjectListData } from './pools/projectData';
import { successMockApiProps } from './typing';
import { fetchCurrPageByList, fetchMockSuccessFullByOther } from './utils/apiMock';
export default {
  // 项目选项
  'POST /api/v1/project/getProjectFkSelect': async (req: Request, res: Response) => {
    const resData: successMockApiProps = {
      ...fetchMockSuccessFullByOther(mockGetProjectFkSelectData),
    };
    res.send(resData);
  },

  // 项目列表分页
  'POST /api/v1/project/getProjectList': async (req: Request, res: Response) => {
    const { page, pageSize } = req.body;

    const resData: successMockApiProps = {
      ...fetchCurrPageByList({
        ...mockGetProjectListData,
        data: { ...mockGetProjectListData.data, page, pageSize: pageSize || 10 },
      }),
    };
    res.send(resData);
  },
};
